# MetaElement(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``MetaElement`(bpy_struct)

  Blobby element in a Metaball data-block

  `co`

    Type: | float array of 3 items in [-inf, inf], default (0.0, 0.0, 0.0)

  `hide`

    Hide element

    Type: | boolean, default False

  `radius`

    Type: | float in [0, inf], default 0.0

  `rotation`

    Normalized quaternion rotation

    Type: | float array of 4 items in [-inf, inf], default (0.0, 0.0, 0.0, 0.0)

  `size_x`

    Size of element, use of components depends on element type

    Type: | float in [0, 20], default 0.0

  `size_y`

    Size of element, use of components depends on element type

    Type: | float in [0, 20], default 0.0

  `size_z`

    Size of element, use of components depends on element type

    Type: | float in [0, 20], default 0.0

  `stiffness`

    Stiffness defines how much of the element to fill

    Type: | float in [0, 10], default 0.0

  `type`

    Metaball types

    Type: | enum in [‘BALL’, ‘CAPSULE’, ‘PLANE’, ‘ELLIPSOID’, ‘CUBE’], default ‘BALL’

  `use_negative`

    Set metaball as negative one

    Type: | boolean, default False

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`MetaBall.elements` `MetaBallElements.active` | `MetaBallElements.new` `MetaBallElements.remove`